/***************************************************************************
 *   Copyright (C) 2004 by Armando Navarro-Vázquez                         *
 *   qoajnv@usc.es                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "qlogtable.h"

QLogTable::QLogTable(QWidget* parent, const char* name)
    : Q3Table(parent,name)
{
  setSorting(true);
}


QLogTable::~QLogTable()
{}


void QLogTable::sortColumn ( int col, bool ascending, bool wholeRows)
{
  //QTable::sortColumn(col,ascending,true);
   bubbleSort(ascending,col);
  updateContents();
}

void QLogTable::bubbleSort(bool ascending,int col)
{
  int i, j, temp;
//  QHeader* vh=verticalHeader();
  for (i = (numRows() - 1); i >= 0; i--)
  {
    for (j = 1; j <= i; j++)
    {
      if(ascending)
      {
        if( text(j-1,col).toDouble() < text(j,col).toDouble() )
        {
          swapRows(j-1,j,true);

        }
      }
      else
      {
        if( text(j-1,col).toDouble() > text(j,col).toDouble() )
        {
          swapRows(j-1,j,true);
        }

      }

    }
  }
}



